package com.nisum.offertransactionservice.model;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.List;
import java.util.UUID;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
@Entity
@Table(name = "endofsale")
public class EndOfSaleEntity {
    @Id
    @Column(name = "uuid")
    UUID uuid;
    /*
    *
    * offerTransaction Response and offers
    * Can we put these data in JSON_PAYLOAD
    *
    *
    * */

    @Column(name = "offertransactionresponse")

    OfferTransactionResponse offerTransactionResponse;
    @Column(name = "offers")
    List<OfferLookup> offers;
}
