package com.nisum.offertransactionservice.service;

import com.nisum.offertransactionservice.dao.EndOfSaleRepo;
import com.nisum.offertransactionservice.model.EndOfSaleReq;
import com.nisum.offertransactionservice.model.EndOfSaleEntity;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
@Slf4j
public class EndOfSaleService {

    @Autowired
    private EndOfSaleRepo endOfSaleRepo;

    public UUID putEndofSaleResInDb(EndOfSaleReq endOfSaleReq){
        EndOfSaleEntity endOfSaleEntity = new EndOfSaleEntity();
        endOfSaleEntity.setOfferTransactionResponse(endOfSaleReq.getOfferTransactionResponse());
        endOfSaleEntity.setOffers(endOfSaleReq.getOffers());
        endOfSaleEntity.setUuid(UUID.randomUUID());
        endOfSaleRepo.save(endOfSaleEntity);
        return endOfSaleEntity.getUuid();
    }

}
